Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export
Class JRGraphics2DExporter

    java.lang.Object
      net.sf.jasperreports.engine.JRAbstractExporter
          net.sf.jasperreports.engine.export.JRGraphics2DExporter

All Implemented Interfaces:
  JRExporter

    public class JRGraphics2DExporter

extends JRAbstractExporter

Exports a JasperReports document to a `Graphics2D` object. Since all font measurement and layout calculation during report filling is done using AWT, this is considered the perfect exporter, unlike the others, which are only approximations of the initial document.

As its name indicates, this exporter is special because it does not produce files or does not send character or binary data to an output stream.

Version:
  $Id: JRGraphics2DExporter.java 3939 2010-08-20 09:52:00Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.jasperreports.engine.JRAbstractExporter
`JRAbstractExporter.BaseExporterContext, JRAbstractExporter.ParameterOverriddenResolver, JRAbstractExporter.ParameterOverrideResolver, JRAbstractExporter.ParameterResolver`

Field Summary
`protected FrameDrawer` | `frameDrawer`
`protected java.awt.Graphics2D` | `grx`
`static java.lang.String` | `MINIMIZE_PRINTER_JOB_SIZE` Property that provides a default value for the `JRGraphics2DExporterParameter.MINIMIZE_PRINTER_JOB_SIZE` Graphics2D exporter parameter.
`protected JRExportProgressMonitor` | `progressMonitor`
`protected TextRenderer` | `textRenderer`
`protected float` | `zoom`

Fields inherited from class net.sf.jasperreports.engine.JRAbstractExporter
`classLoader, classLoaderSet, dateFormatCache, endPageIndex, fileResolver, fileResolverSet, filter, globalOffsetX, globalOffsetY, hyperlinkProducerFactory, isModeBatch, jasperPrint, jasperPrintList, numberFormatCache, parameters, PROPERTY_CELL_FORMULA, PROPERTY_DEFAULT_FILTER_FACTORY, PROPERTY_SUFFIX_DEFAULT_FILTER_FACTORY, startPageIndex, urlHandlerFactory, urlHandlerFactorySet`

Constructor Summary
`JRGraphics2DExporter()`

Method Summary
`protected void` | `exportPage(JRPrintPage page)`
`void` | `exportReport()` Actually starts the export process.
`void` | `exportReportToGraphics2D()`
`protected java.lang.String` | `getExporterKey()`
`protected void` | `setDrawers()`
`protected void` | `setTextRenderer()`

Methods inherited from class net.sf.jasperreports.engine.JRAbstractExporter
`createFilter, defaultParseNumber, getBooleanCellValue, getBooleanParameter, getCharacterParameter, getCustomHandler, getDateCellValue, getDateFormat, getFloatParameter, getHyperlinkProducer, getIntegerParameter, getLocale, getNumberCellValue, getNumberFormat, getOffsetX, getOffsetY, getParameter, getParameterResolver, getParameters, getStringArrayParameter, getStringParameter, getStringParameterOrDefault, getStyledText, getStyledText, getTextFormatFactoryClass, getTextLocale, getTextTimeZone, getTextValue, getTextValueString, reset, resetClassLoader, resetExportContext, restoreElementOffsets, setClassLoader, setExportContext, setFrameElementsOffset, setHyperlinkProducerFactory, setInput, setJasperPrint, setOffset, setOffset, setOutput, setPageRange, setParameter, setParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MINIMIZE_PRINTER_JOB_SIZE

    public static final java.lang.String MINIMIZE_PRINTER_JOB_SIZE

  Property that provides a default value for the `JRGraphics2DExporterParameter.MINIMIZE_PRINTER_JOB_SIZE` Graphics2D exporter parameter.

  See Also:
    `JRGraphics2DExporterParameter.MINIMIZE_PRINTER_JOB_SIZE`, Constant Field Values

### grx

    protected java.awt.Graphics2D grx

### progressMonitor

    protected JRExportProgressMonitor progressMonitor

### zoom

    protected float zoom

### textRenderer

    protected TextRenderer textRenderer

### frameDrawer

    protected FrameDrawer frameDrawer

Constructor Detail

### JRGraphics2DExporter

    public JRGraphics2DExporter()
                         throws JRException

Throws:
  `JRException`

Method Detail

### exportReport

    public void exportReport()
                      throws JRException

  Description copied from interface: `JRExporter`
  Actually starts the export process.

  Specified by:
    `exportReport` in interface `JRExporter`
  Specified by:
    `exportReport` in class `JRAbstractExporter`
  Throws:
    `JRException`

### setTextRenderer

    protected void setTextRenderer()

### setDrawers

    protected void setDrawers()

### exportReportToGraphics2D

    public void exportReportToGraphics2D()
                                  throws JRException

  Throws:
    `JRException`

### exportPage

    protected void exportPage(JRPrintPage page)
                       throws JRException

  Throws:
    `JRException`

### getExporterKey

    protected java.lang.String getExporterKey()

  Specified by:
    `getExporterKey` in class `JRAbstractExporter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com